com.holonplatform.reactor.http.internal

## Enum ReactiveRestClientFactoryRegistry

- java.lang.Object
- - java.lang.Enum<ReactiveRestClientFactoryRegistry>
  - - com.holonplatform.reactor.http.internal.ReactiveRestClientFactoryRegistry

- All Implemented Interfaces:
    Serializable, Comparable<ReactiveRestClientFactoryRegistry>

      public enum ReactiveRestClientFactoryRegistry
      extends Enum<ReactiveRestClientFactoryRegistry>

  `ReactiveRestClientFactory` registry.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReactiveRestClient` | `createRestClient(String fullyQualifiedClassName, ClassLoader classLoader)` Get a `ReactiveRestClient` instance for given `fullyQualifiedClassName` and `ClassLoader` using a suitable `ReactiveRestClientFactory`.
    `List<ReactiveRestClientFactory>` | `getRestClientFactories(String fullyQualifiedClassName, ClassLoader classLoader)` Get the `ReactiveRestClientFactory` for given `fullyQualifiedClassName` `ReactiveRestClient` instance and `ClassLoader`.
    `static ReactiveRestClientFactoryRegistry` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReactiveRestClientFactoryRegistry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final ReactiveRestClientFactoryRegistry INSTANCE

  - ### Method Detail

    - #### values

          public static ReactiveRestClientFactoryRegistry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReactiveRestClientFactoryRegistry c : ReactiveRestClientFactoryRegistry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReactiveRestClientFactoryRegistry valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### createRestClient

          public ReactiveRestClient createRestClient(String fullyQualifiedClassName,
                                                     ClassLoader classLoader)

      Get a `ReactiveRestClient` instance for given `fullyQualifiedClassName` and `ClassLoader` using a suitable `ReactiveRestClientFactory`.
      Parameters:
        `fullyQualifiedClassName` - `ReactiveRestClient` class name to obtain, or `null` for the default one
        `classLoader` - ClassLoader for which to obtain the `ReactiveRestClient`
      Returns:
        A new `ReactiveRestClient` instance for given `fullyQualifiedClassName` (or the default one if `null`) and `ClassLoader`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException` - If no `ReactiveRestClientFactory` available, or none of the available factories returned a not `null` instance or a creation error occurred

    - #### getRestClientFactories

          public List<ReactiveRestClientFactory> getRestClientFactories(String fullyQualifiedClassName,
                                                                        ClassLoader classLoader)

      Get the `ReactiveRestClientFactory` for given `fullyQualifiedClassName` `ReactiveRestClient` instance and `ClassLoader`.
      Parameters:
        `fullyQualifiedClassName` - `ReactiveRestClientFactory` class name to obtain, or `null` for the default one
        `classLoader` - ClassLoader for which to obtain the factory
      Returns:
        `ReactiveRestClientFactory` for given `fullyQualifiedClassName` (or the default one if `null`) and `ClassLoader`
      Throws:
        `com.holonplatform.http.exceptions.RestClientCreationException` - If no `ReactiveRestClientFactory` available or a creation error occurred

Copyright © 2019 The Holon Platform. All rights reserved.